import React from 'react';
import { type FetchingUiProps } from '@useweb/fetching-ui';
import { type UseFirebaseFunctionProps } from '@useweb/firebase/useFirebaseFunction';
export declare type FirebaseFunctionTesterProps<ResultProps = any, ExecProps = any> = {
    functionName: string;
    payload?: ExecProps;
    UseFirebaseFunctionProps?: Omit<UseFirebaseFunctionProps, 'name'>;
} & FetchingUiProps<ResultProps, ExecProps>;
export default function FirebaseFunctionTester<ResultProps = any, ExecProps = any>(props: FirebaseFunctionTesterProps<ResultProps, ExecProps>): React.JSX.Element;
